#!/usr/bin/env python

from __future__ import print_function

import argparse
import subprocess

import os

dir_path = os.path.dirname(os.path.realpath(__file__))

LIBVIRT_URI="qemu+tcp://root@10.68.150.240:16509/system"

VIRT_NETWORK="testing_datalab"

COMMON_GROUPS="testing,datalab,virtual_machines,centos_hosts,docker"

INVENTORY_SCRIPT_RELATIVE_PATH="scripts/libvirt_inventory.py"

cmd =  "python {0} --libvirt_uri '{1}' --virt_network {2} --common_groups {3}"

inventory_script = os.path.join(dir_path,
                                INVENTORY_SCRIPT_RELATIVE_PATH)


cmd = cmd.format(inventory_script,
                 LIBVIRT_URI,
                 VIRT_NETWORK,
                 COMMON_GROUPS)

if __name__ == "__main__"    :

    parser = argparse.ArgumentParser()

    parser.add_argument("--list",
                        "-l",
                        action='store_true',
                        required=False)

    p = subprocess.Popen(cmd.split(" "), stdout=subprocess.PIPE)

    output = p.stdout.read()

    print(output)

    exit(0)
